Bio::Factory::SeqAnalysisParserFactory(3)

NAME
Bio::Factory::SeqAnalysisParserFactory - class capable of
              creating SeqAnalysisParserI compliant parsers

SYNOPSIS
    # initialize an object implementing this interface, e.g.
    $factory = Bio::Factory::SeqAnalysisParserFactory->new();
    # find out the methods it knows about
    print "registered methods: ",
          join(', ', keys($factory->driver_table())), "\n";
    # obtain a parser object
    $parser = $factory->get_parser(-input=>$inputobj,
                                   -params=>[@params],
                                   -method => $method);
    # $parser is an object implementing Bio::SeqAnalysisParserI
    # annotate sequence with features produced by parser
    while(my $feat = $parser->next_feature()) {
        $seq->add_SeqFeature($feat);
    }

DESCRIPTION
This is a factory class capable of instantiating SeqAnalysisParserI implementing parsers.

The concept behind this class and the interface it implements (Bio::Factory::SeqAnalysisParserFactoryI) is a generic analysis result parsing in high-throughput automated sequence annotation pipelines. See Bio::SeqAnalysisParserI for more documentation of this concept.

You can always find out the methods an instance of this class knows about by the way given in the SYNOPSIS section. By default, and assuming that the documentation is up-to-date, this will comprise of genscan, mzef, estscan, blast, hmmer, gff, and sim4 (all case-insensitive).

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                - General discussion
  http://bio.perl.org/MailList.html    - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution.
 Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Hilmar Lapp, Jason Stajich
Email Hilmar Lapp <hlapp@gmx.net>, Jason Stajich <jason@chg.mc.duke.edu>

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  get_parser
 Title   : get_parser
 Usage   : $factory->get_parser(-input=>$inputobj,
                                [ -params=>[@params] ],
                                -method => $method)
 Function: Creates and returns a parser object for the given input and method.
           Both file names and streams (filehandles) are allowed.
           Parameters (-params argument) are passed on to the parser object
           and therefore are specific to the parser to be created.
 Example :
 Returns : A Bio::SeqAnalysisParserI implementing object. Exception if
           creation of the parser object fails.
 Args    : B<input>  - object/file where analysis results are coming from,
           B<params> - parameter to use when parsing/running analysis
           B<method> - method of analysis